import exec from 'executive';

// src/index.coffee
module.exports = function(opts = {}) {
  if (opts.deploy == null) {
    opts.deploy = {};
  }
  if (opts.git == null) {
    opts.git = true;
  }
  if (opts.npm == null) {
    opts.npm = true;
  }
  return task('publish', 'publish project', function() {
    var cmds, force, ref, refspec, remote;
    cmds = [];
    if (opts.npm) {
      cmds.push('npm publish');
    }
    if (opts.git) {
      cmds = cmds.concat(['git push', 'git push --tags']);
    }
    ref = opts.deploy, force = ref.force, remote = ref.remote, refspec = ref.refspec;
    if ((remote != null) && (refspec != null)) {
      cmds.push(`git push ${(force ? '-f' : '')} ${remote} ${refspec}`);
    }
    return exec.parallel(cmds);
  });
};
//# sourceMappingURL=lib.mjs.map
